<div class="cat-form">
    <h2>Register your cat to the competition</h2>

    <form class="form-container">
        <mat-form-field appearance="standard">
            <mat-label>Name</mat-label>
            <input matInput [formControl]="nameFormControl">
            <mat-hint>Cat's name</mat-hint>
        </mat-form-field>
    
        <mat-form-field appearance="standard">
            <mat-label>Breed</mat-label>
            <input matInput [formControl]="breedFormControl">
            <mat-hint>Select your cat's breed</mat-hint>
        </mat-form-field>
    
        <mat-form-field appearance="standard">
            <mat-label>Description</mat-label>
            <input matInput [formControl]="descriptionFormControl" placeholder="Write a short description of your cat">
        </mat-form-field>

    </form>

    <button mat-raised-button (click)="saveCat()">Save</button>
</div>